Subject: Re: bug#11381: 23.3; isearch-search-and-update issue?

From: Juri Linkov <[email-masked]>
Date: Tue, 29 May 2012 03:27:10 +0300

> And, I agree that the docstring of isearch-search-fun-function should
> then clearly document what the `isearch-message-prefix' means.

The problem is to find the right docstring to document the property.

The docstring of `isearch-search-fun-function' is about a function that
returns a search function.  But the property `isearch-message-prefix' is
put on a function that converts a string into a regexp.

So it could be documented in the docstring of `isearch-message-prefix',
but this function has no docstring (and neither `isearch-message').